Subject: [regext] [Technical Errata Reported] RFC7482 (5621)

From: RFC Errata System <[email-masked]>
Date: Fri, 1 Feb 2019 09:40:25 -0800 (PST)

The following errata report has been submitted for RFC7482,
"Registration Data Access Protocol (RDAP) Query Format".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5621

--------------------------------------
Type: Technical
Reported by: John Klensin <[email-masked]>

Section: 2.1

Original Text
-------------
IDN: Internationalized Domain Name

IDNA: Internationalized Domain Names in Applications, a protocol
      for the handling of IDNs.

Corrected Text
--------------
IDN: Internationalized Domain Name, a [fully-qualified] domain name
containing one or more labels that are intended to include one or more
Unicode code points outside the ASCII range (cf. "domain name",
"fully-qualified domain name" and "internationalized domain name" in
RFC 8499).

IDNA: Internationalized Domain Names in Applications, a protocol for
the handling of IDNs.  In this document, "IDNA" refers specifically to
the version of those specifications known as "IDNA2008" [RFC5980 ff].

Notes
-----
While the proposed new text above borders on the painfully pedantic, failure to be specific about these things undermines the technical validity and consistency of the text (making this a technical issue rather than exclusively an editorial one like a missing reference).  IDNA2008 [RFC5890 Section 2.3.2.3] is very precise about what an "IDN" is (a definition incorporated by reference in RFC 6365 and consistent with the definition in RFC 8499) , but there are other things around that, e.g., assume either that "IDN" refers to a label, not an FQDN; that an ASCII label, even one in ACE form, does not make the FQDN in which it is imbedded an IDN; that all of the label components of an IDN must be U-labels or A-labels, etc.  Without the definition being clear, some of the statements in the document make no sense.

A reference to 8499 is suggested above because it is the most recent authoritative definition (and because I didn't write it), but 5980 would be equally legitimate if the authors prefer.

Pinning down the IDNA definition is even more important.  While there are IDNA2008 references further on in the document, if the question of what the generic term "IDNA" means is left to the imagination of the reader, then the specification is missing language about what to do if, e.g., a query is inconsistent with the U-label form of what is stored in the registry database without mapping.   The opportunity for that sort of problem is clearly created by the "performs any local case mapping deemed necessary" statement in Section 6.1 of the document, at least unless that case mapping is constrained to not be applied to domain name labels (which the text definitely does not say).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7482 (draft-ietf-weirds-rdap-query-18)
--------------------------------------
Title               : Registration Data Access Protocol (RDAP) Query Format
Publication Date    : March 2015
Author(s)           : A. Newton, S. Hollenbeck
Category            : PROPOSED STANDARD
Source              : Web Extensible Internet Registration Data Service
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 26 Feb 2019 19:42:58 +0000

> -----Original Message-----
> From: RFC Errata System <[email-masked]>
> Sent: Friday, February 1, 2019 12:40 PM
> To: [email-masked]; Hollenbeck, Scott <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [EXTERNAL] [Technical Errata Reported] RFC7482 (5621)
>
> The following errata report has been submitted for RFC7482, "Registration
> Data Access Protocol (RDAP) Query Format".
>
> Unicode code points outside the ASCII range (cf. "domain name", "fully-
> qualified domain name" and "internationalized domain name" in RFC 8499).
>
> IDNA: Internationalized Domain Names in Applications, a protocol for the
> handling of IDNs.  In this document, "IDNA" refers specifically to the version
> of those specifications known as "IDNA2008" [RFC5980 ff].
>
>
> Notes
> -----
> While the proposed new text above borders on the painfully pedantic,
> failure to be specific about these things undermines the technical validity and
> consistency of the text (making this a technical issue rather than exclusively
> an editorial one like a missing reference).  IDNA2008 [RFC5890 Section
> 2.3.2.3] is very precise about what an "IDN" is (a definition incorporated by
> reference in RFC 6365 and consistent with the definition in RFC 8499) , but
> there are other things around that, e.g., assume either that "IDN" refers to a
> label, not an FQDN; that an ASCII label, even one in ACE form, does not make
> the FQDN in which it is imbedded an IDN; that all of the label components of
> an IDN must be U-labels or A-labels, etc.  Without the definition being clear,
> some of the statements in the document make no sense.
>
> A reference to 8499 is suggested above because it is the most recent
> authoritative definition (and because I didn't write it), but 5980 would be
> equally legitimate if the authors prefer.
>
> Pinning down the IDNA definition is even more important.  While there are
> IDNA2008 references further on in the document, if the question of what the
> generic term "IDNA" means is left to the imagination of the reader, then the
> specification is missing language about what to do if, e.g., a query is
> inconsistent with the U-label form of what is stored in the registry database
> without mapping.   The opportunity for that sort of problem is clearly created
> by the "performs any local case mapping deemed necessary" statement in
> Section 6.1 of the document, at least unless that case mapping is constrained
> to not be applied to domain name labels (which the text definitely does not
> say).

Some of the other acronyms in this section of RFC 7482 include references, so I think it's appropriate for these to be included as well. They do help with clarity and precision.

Scott